### Enumeration

# Qmi WdsAuthentication

since: 1.0

#### Declaration

    flags Qmi.WdsAuthentication

#### Description [src]

PDP context authentication protocols.

Available since: 1.0

#### Members

`QMI_WDS_AUTHENTICATION_NONE`

  No authentication.

  - Value: `0`
  - Available since: 1.0
`QMI_WDS_AUTHENTICATION_PAP`

  PAP authentication.

  - Value: `1`
  - Available since: 1.0
`QMI_WDS_AUTHENTICATION_CHAP`

  CHAP authentication.

  - Value: `2`
  - Available since: 1.0

#### Type functions

###### qmi_wds_authentication_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiWdsAuthentication` in `mask`.

since: 1.0